# group

## Name

group — A group presentation

## Synopsis

Content Model

    group ::= (reln*)

Attributes
Name | Type
`generators` | NUMBER (required)

## Description

A `group` element stores a single group presentation.

The generators of the group are numbered 0, 1, 2, etc. The total number of generators is specified by the `generators` attribute.

The relations of the group are specified by the child `reln` elements.

### Parents

The following elements contain `group`: `fundgroup`.

### Children

The following elements occur in `group`: `reln`.

## Attributes

`generators`

  The number of generators in this group presentation; this should be a non-negative integer.

## Example

The following XML snippet represents the group `< x, y | x y^2 = 1 >`.

    <group generators="2">
      <reln> 0^1 1^2 </reln>
    </group>